<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <title>Stock Prediction</title>

    <!-- Include Montserrat font from Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap" rel="stylesheet">
    
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    
    <!-- Custom Styles -->
    <style>
        /* Center the content */
        body {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            font-family: 'Montserrat', sans-serif; /* Apply Montserrat font to the entire document */
        }

        /* Light grey color for form inputs */
        .form-control {
            background-color: #f8f9fa; /* Light grey color */
            border: none; /* Remove border */
        }

        /* Center the form content */
        form {
            width: 300px;
            text-align: center;
        }

        /* Increase the size of the header */
        h2 {
            font-size: 24px;
            margin-bottom: 20px;
            line-height: 1.5; /* Increase line spacing */
        }

        /* Increase line spacing for other text */
        span {
            line-height: 1.5;
        }

        /* Add vertical spacing between form inputs */
        .form-group {
            margin-bottom: 2em;
            text-align: left; /* Align labels to the left */
        }

        /* Reduce the size of placeholders */
        ::placeholder {
            font-size: 12px;
        }

        /* Change font color of form labels to grey */
        label {
            color: #6c757d; /* Grey color */
        }

        /* Increase button size and center text */
        .btn {
            padding: 10px 20px; /* Increase padding */
            text-align: center; /* Center text */
            background-color: #add8e6; /* Light blue color */
            border: none; /* Remove border */
        }

        /* Logo style */
        .logo {
            position: absolute;
            top: 20px; /* Adjust top position as needed */
            left: 20px; /* Adjust left position as needed */
            width: 100px; /* Adjust width as needed */
            height: auto;
        }
    </style>
</head>
<body>
    <!-- Logo -->
    <img src="./logo.png" alt="Logo" class="logo">

    <h2>Stock Prediction</h2>

    <form action="/predict" method="post">
        <span>Choose Open, High Volume</span>
        <br>

        <div class="form-group">
            <label for="">Date:</label>
            <input type="date" class="form-control" name="date" placeholder="YYYY-MM-DD">
        </div>

        <div class="form-group">
            <label for="">Open:</label>
            <input type="number" class="form-control" name="open" placeholder="Enter value for Open">
        </div>

        <div class="form-group">
            <label for="">High:</label>
            <input type="text" class="form-control" name="high" placeholder="Enter value for High">
        </div>

        <div class="form-group">
            <label for="">Volume:</label>
            <input type="text" class="form-control" name="volume" placeholder="Enter value for Volume">
        </div>

        <input type="submit" class="btn btn-primary btn-block" value="Predict">
    </form>   
</body>
</html>
